Skip to content

List Trashed Pages

GET
/trash/pages
curl --request GET \
--url https://markdawn.space/api/v1/trash/pages \
--header 'Authorization: Bearer <token>'

Returns pages in Trash that the caller can access.

Trashed page metadata.

Media typeapplication/json
Array<object>
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
title
required
string
icon
required
Any of:
string
deletedAt
required
Any of:
string
Examplegenerated
[
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"title": "example",
"icon": "example",
"deletedAt": "example"
}
]

The API token is missing a required scope: pages:read.

Media typeapplication/json

Structured error returned when the request cannot be completed.

object
error
required

Error details for programmatic handling.

object
code
required

Stable error code.

string
message
required

Human-readable explanation.

string
Examplegenerated
{
"error": {
"code": "example",
"message": "example"
}
}